Update Refund
curl --request PUT \
--url https://service-sandbox.tazapay.com/refund/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Damaged Goods",
"metadata": {
"key1": "value1",
"key2": "value2"
}
}
'import requests
url = "https://service-sandbox.tazapay.com/refund/{id}"
payload = {
"reason": "Damaged Goods",
"metadata": {
"key1": "value1",
"key2": "value2"
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Damaged Goods', metadata: {key1: 'value1', key2: 'value2'}})
};
fetch('https://service-sandbox.tazapay.com/refund/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "refund updated successfully",
"data": {
"id": "rfd_afiuabfia23wifaiofnioa12nfianf",
"object": "refund",
"payin": "chk_cirsp2sl4ar024j0akj0",
"amount": 90000,
"currency": "USD",
"customer_receives": {
"currency": "",
"amount": null
},
"payment_attempt": "pat_ahbfiuahfiuaiofnioain",
"reason": "Damaged Goods",
"metadata": {
"key1": "value1",
"key2": "value2"
},
"status": "pending",
"status_description": "",
"webhook_url": "https://mystore.webhook.tazapay.refund/",
"created_at": "2023-07-23 23:59:56"
}
}Refund
Update Refund
This endpoint updates an already existing refund object.
PUT
/
refund
/
{id}
Update Refund
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
ID of the existing refund object to be updated
Body
application/json
Was this page helpful?
⌘I